Name: phoenix-policies-personal
Version: 20241204
Release: 1%{?dist}
Summary: My personal Phoenix policies for Mozilla Firefox
License: GPLv3+
URL: https://phoenix.celenity.dev
Source0: policies.json
BuildArch: noarch

%description
Putting the user back in user agent.

%prep
# No preparation needed for a single file

%install
mkdir -p %{buildroot}/etc/firefox/policies

install -m 644 %{SOURCE0} %{buildroot}/etc/firefox/policies/policies.json

%files
/etc/firefox/policies/policies.json

%changelog
* Wednesday December 4 celenity <celenity@celenity.dev> - 20241204-1
- Lots of updates here:
- Hardened Phoenix's local and remote config files to prevent us or an attacker (if we ever compromised) from having the ability to override the user's homepage. Downside is that users will no longer be able to easily set a different browser homepage via `about:preferences`, however they can still set an override via editing their local 'phoenix.cfg', which will persist as we don't remotely update it. See here: https://codeberg.org/celenity/Phoenix/issues/18#issuecomment-2490737 for more details on Phoenix's approach to security and protecting users, even in the worst case scenarios, and even from ourselves. Due to these updates, you are HIGHLY recommend to re-install Phoenix (specifically, the local 'phoenix.cfg' file and 'phoenix.js' files should be updated).
- Placed further restrictions on the installation of extensions, to ensure that we're only granting this capability to websites (with user permission) where it's absolutely necessary.
- Fixed a strange bug that prevented users from installing extensions from the GitHub repos we allow in certain instances (primarily if the .xpi was file was on a past page of releases)
- Heavy consolidated policies. There are no longer separate policies for Windows/macOS & Linux. 'Personal-Dev-Nightly-Policies' have also been fully deprecated. Users can now choose from either our Standard Policies, or 'No-Sync' (or my Personal policies at their own discretion....).
- Added policies to ensure that the user can always access about:addons, about:config, about:profiles, & about:support.
- Added a policy to always display the bookmark toolbar by default. Can be overriden by users depending on their preference.
- Added a policy to ensure that users are always notified if there is an attempt to activate dangerous, invasive 'Content Analysis' functionality.
- Firefox will no longer offer to save passwords for users by default. Can be overriden, though users are highly recommended to use secure password managers instead, such as Bitwarden or Proton Pass.
- Fully disabled Password Manager on my Personal Policies & set to install Bitwarden by default
- Disabled the annoying 'Profile Import' functionality on my Personal Policies
- Added a 'Phoenix Policies Initialized' policy, as well as 'Phoenix Initialized' & 'Phoenix Applied' prefs, to make Phoenix easier to debug & confirm whether it is working as expected.
- Various other minor tweaks & enhancements
- https://codeberg.org/celenity/Phoenix/releases
